# class Chef::Digester

### Public Class Methods

checksum_for_file(*args) click to toggle source

    # File lib/chef/digester.rb, line 30
    def self.checksum_for_file(*args)
      instance.checksum_for_file(*args)
    end

generate_md5_checksum_for_file(*args) click to toggle source

    # File lib/chef/digester.rb, line 46
    def self.generate_md5_checksum_for_file(*args)
      instance.generate_md5_checksum_for_file(*args)
    end

instance() click to toggle source

    # File lib/chef/digester.rb, line 26
    def self.instance
      @instance ||= new
    end

### Public Instance Methods

checksum_for_file(file) click to toggle source

    # File lib/chef/digester.rb, line 38
    def checksum_for_file(file)
      generate_checksum(file)
    end

generate_checksum(file) click to toggle source

    # File lib/chef/digester.rb, line 42
    def generate_checksum(file)
      checksum_file(file, Digest::SHA256.new)
    end

generate_md5_checksum(io) click to toggle source

    # File lib/chef/digester.rb, line 54
    def generate_md5_checksum(io)
      checksum_io(io, Digest::MD5.new)
    end

generate_md5_checksum_for_file(file) click to toggle source

    # File lib/chef/digester.rb, line 50
    def generate_md5_checksum_for_file(file)
      checksum_file(file, Digest::MD5.new)
    end

validate_checksum(*args) click to toggle source

    # File lib/chef/digester.rb, line 34
    def validate_checksum(*args)
      self.class.validate_checksum(*args)
    end